# The SensitiveParameterValue class

(PHP 8 >= 8.2.0)

## Introducción

The SensitiveParameterValue class allows wrapping sensitive values to protect them against accidental exposure.

Values of parameters having the SensitiveParameter attribute will automatically be wrapped inside of a SensitiveParameterValue object within stack traces.

## Sinopsis de la Clase

final class SensitiveParameterValue {
/* Propiedades */
private readonly mixed $value;
/* Métodos */
public __construct(mixed `$value`)
public __debugInfo(): array
public getValue(): mixed
}

## Propiedades

value

  The sensitive value to be protected against accidental exposure.

## Tabla de contenidos

- SensitiveParameterValue::__construct — Constructs a new SensitiveParameterValue object
- SensitiveParameterValue::__debugInfo — Protects the sensitive value against accidental exposure
- SensitiveParameterValue::getValue — Returns the sensitive value